Package: org.apache.groovy.util.concurrent

## [Java] Class ConcurrentReferenceHashMap.SimpleEntry<K, V>

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.SimpleEntry

- All Implemented Interfaces and Traits:
    Entry, Serializable

      protected static class ConcurrentReferenceHashMap.SimpleEntry<K, V>
      extends Object
      implements Entry, Serializable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected K` | `key` |
    `protected V` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleEntry(K key, V value)`
    `SimpleEntry(Entry<? extends K, ? extends V> entry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public K` | `getKey()`
    `` | `public V` | `getValue()`
    `` | `public int` | `hashCode()`
    `` | `public V` | `setValue(V value)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final K key

    - #### protected V value

  - ### Constructor Detail

    - #### public SimpleEntry(K key, V value)

    - #### public SimpleEntry(Entry<? extends K, ? extends V> entry)

  - ### Method Detail

    - #### public boolean equals(Object o)

    - #### public K getKey()

    - #### public V getValue()

    - #### public int hashCode()

    - #### public V setValue(V value)

    - #### public String toString()